<button
  class="btn-add btn btn-circle btn-lg shadow btn-primary"
  appOcticons
  octicon="plus"
  width="50%"
  (click)="toCreatePlanning()"
>
  Ajouter un planning
</button>
<div *ngFor="let planning of plannings">
  <div class="card align-middle mx-auto w-50 p-2 text-center">
    <div class="card-header">
      <p class="font-weight-normal">{{ planning.planningName }}</p>
      <div class="input-group aling-right">
        <button
          class="btn btn-light"
          appOcticons
          octicon="pencil"
          width="24"
          (click)="toUpdatePlanning(planning.planningId)"
        ></button>
        <button
          class="btn btn-light"
          appOcticons
          octicon="calendar"
          width="24"
          (click)="showPlanning(planning.planningId)"
        ></button>
        <ng-template #content let-modal>
          <div class="modal-header">
            <h4 class="modal-title" id="modal-basic-title">
              Suppression du planning {{ planning.planningName }}
            </h4>
            <button
              type="button"
              class="close"
              aria-label="Close"
              (click)="modal.dismiss()"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="modal-body">
              <p>
                <strong>
                  Êtes vous sur de vouloir supprimer le planning
                  <span class="text-primary"
                    >"{{ planning.planningName }}"</span
                  >
                  ?</strong
                >
              </p>
              <p>
                Tous les cours disponible sur ce planning ainsi que les
                réservations associées seront supprimées.
                <span class="text-danger"
                  >Cette opération est irréversible
                </span>
              </p>
            </div>
            <div class="modal-footer">
              <button
                type="button"
                class="btn btn-outline-secondary"
                (click)="modal.dismiss()"
              >
                Annuler
              </button>
              <button
                type="button"
                class="btn btn-outline-secondary"
                (click)="deletePlanning(planning)"
              >
                Valider
              </button>
            </div>
          </div>
        </ng-template>
        <button
          class="btn btn-light"
          appOcticons
          octicon="trashcan"
          width="24"
          (click)="open(content)"
        ></button>
      </div>
    </div>
    <div class="card-body">
      <div class="input-group mb-3">
        <p class="font-weight-normal">Date de début :</p>
        <p class="font-weight-normal">
          {{ planning.planningBeginning | date: "dd-MM-yyyy" }}
        </p>
      </div>
      <div class="input-group mb-3">
        <p class="font-weight-normal">Date de fin :</p>
        <p class="font-weight-normal">
          {{ planning.planningEnd | date: "dd-MM-yyyy" }}
        </p>
      </div>
      <div class="input-group mb-3">
        <p class="font-weight-normal">Moniteur en charge du planning :</p>
        <p class="font-weight-normal">
          {{ planning.planningMonitor.username }}
        </p>
      </div>
    </div>
  </div>
</div>
